Get EVM transactions by account
curl --request GET \
--url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-txs/by_account/{account}import requests
url = "https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-txs/by_account/{account}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-txs/by_account/{account}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"txs": [
{
"blockHash": "<string>",
"blockNumber": "<string>",
"contractAddress": "<string>",
"cumulativeGasUsed": "<string>",
"effectiveGasPrice": "<string>",
"from": "<string>",
"gasUsed": "<string>",
"logs": [
{
"address": "<string>",
"topics": [
"<string>"
],
"data": "<string>",
"blockNumber": "<string>",
"transactionHash": "<string>",
"transactionIndex": "<string>",
"blockHash": "<string>",
"logIndex": "<string>",
"removed": true
}
],
"logsBloom": "<string>",
"status": "<string>",
"to": "<string>",
"transactionHash": "<string>",
"transactionIndex": "<string>",
"type": "<string>"
}
],
"pagination": {
"previous_key": "<string>",
"next_key": "<string>",
"total": "<string>"
}
}EVM Transactions
Get EVM transactions by account
Returns EVM transactions associated with a specific account. Only available on EVM chains.
GET
/
indexer
/
tx
/
v1
/
evm-txs
/
by_account
/
{account}
Get EVM transactions by account
Path Parameters
The account address.
Query Parameters
When true, only returns transactions where the account was the signer.
Cursor key for pagination.
Number of records to skip.
Maximum number of records to return. Defaults to 100.
Whether to return the total count. Defaults to true.
When true, returns results in descending order. Defaults to true.
Was this page helpful?
⌘I